pdqn.net
当前位置:首页 >> shiro的哪个版本可以集成myBAtis3.2.5 >>

shiro的哪个版本可以集成myBAtis3.2.5

一、目前最新稳定版3.2.7 官方下载地址:https://github.com/mybatis/mybatis-3/releases二、MyBatis 的前身就是 iBatis ,是一个数据持久层(ORM)框架.iBATIS一词来源于“internet”和“abatis”的组合,是一个基于Java的持久层框架

mybatis 3.2.3 版本用的人较多,请看下图.

你好:这个的话,后面的那个你得自己整合下,我这边有一个mybatis的用法练习,你可以直接搞到项目里面试试.备注:这个搭建环境的话,一般都不是一两句话能说明白的,建议你可以先单独用下spring、shiro、mybatis,之后在上网上查找整合资料,

首先保证三个框架的核心包要有,然后就是struts2整合spring的包,至于ibatis的整合应该看spring整合它的方式,把三者环境加载后看看异常有没有提示没找到什么类,再找相应的包即可

你可以使用mybatis-spring-1.3.0.jar

他们貌似没有太大的耦合关系,你试试应该可以

SNAPSHOT是指不稳定版本 还在开发中的版本 直接使用mybatis-3.2.0.jar就行了

struts2.2.3 + spring3.1.0 + mybatis3.1.0集成简单demo你可以下载下来,不需要积分的,入门级别的示例

mybatis 3.2.8是最新的版本,如果是入门学习不建议使用,共学习的资料较少,选择一个版本较低的版本,如mybatis 3.2.3.看下图,是mybatis各版本使用的情况:

不能,spring 3.0刚发布的时候,里面都还不支持mybatis

相关文档
网站首页 | 网站地图
All rights reserved Powered by www.pdqn.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com